Delete Patient
curl --request DELETE \
--url https://api.sandbox.metriport.com/medical/v1/patient/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilityId = "018a80c4-292a-7486-a1234-9uiu76yhe234";
await metriport.deletePatient(patientId, facilityId);
Patient
Delete Patient
Removes the specified Patient.
DELETE
/
medical
/
v1
/
patient
/
{id}
Delete Patient
Query Params
The ID of the Facility where the patient is receiving care.
Path Params
The ID of the Patient to delete.
Response
204 - no content, upon successful delete.
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilityId = "018a80c4-292a-7486-a1234-9uiu76yhe234";
await metriport.deletePatient(patientId, facilityId);
⌘I

